// /////////////////////////////////////////////////////
// Effektiv C++
//
// Komplexe Zahlen
// Version: 1
// Code: Stephan Brumme, 14.Mai 2002
//

#include "Complex.h"

#include <iostream>
using namespace std;


// Default-Konstruktor
CComplex::CComplex(double dReal, double dImg)
{
	// Attribute kopieren
	m_dReal = dReal;
	m_dImg  = dImg;

	cerr << "Default-Konstruktor: (" << m_dReal << "," << m_dImg << ")" << endl;
}


// Copy-Konstruktor
CComplex::CComplex(const CComplex& complex)
{
	// Attribute kopieren
	m_dReal = complex.m_dReal;
	m_dImg  = complex.m_dImg;
	
	cerr << "Copy-Konstruktor: (" << m_dReal << "," << m_dImg << ")" << endl;
}


// Destruktor
CComplex::~CComplex()
{
	// leer ...
	cerr << "Destruktor: (" << m_dReal << "," << m_dImg << ")" << endl;
}


// Zuweisungs-Operator
CComplex& CComplex::operator=(const CComplex& complex)
{
	// Attribute kopieren
	m_dReal = complex.m_dReal;
	m_dImg  = complex.m_dImg;
	
	cerr << "Zuweisungsoperator: (" << m_dReal << "," << m_dImg << ")" << endl;

	return *this;
}