// /////////////////////////////////////////////////////
// Effektiv C++
//
// Komplexe Zahlen
// Version: 1
// Code: Stephan Brumme, 14.Mai 2002
//

class CComplex
{
public:
	// Default-Konstruktor:
	// kann auch ohne Parameter aufgerufen werden, da Default-Wert vorhanden
	CComplex(double dReal = 0, double dImg = 0);
	// Copy-Konstruktor
	CComplex(const CComplex& complex);

	// Destruktor
	~CComplex();

	// Zuweisungsoperator
	CComplex& operator=(const CComplex& complex);


private:
	double m_dReal;
	double m_dImg;
};
