// /////////////////////////////////////////////////////
// Effektiv C++
//
// Komplexe Zahlen
// Version: 2
// Code: Stephan Brumme, 14.Mai 2002
//




class CComplex
{
	// Standardwert fr Konstruktor
	static const double DEFAULTVALUE;

public:
	// Default-Konstruktor:
	// kann auch ohne Parameter aufgerufen werden, da Default-Wert vorhanden
	CComplex(double dReal = DEFAULTVALUE, double dImg = DEFAULTVALUE);
	// Copy-Konstruktor
	CComplex(const CComplex& obj);

	// Destruktor
	~CComplex();

	// Zuweisungsoperator
	CComplex& operator=(const CComplex& obj);
	// Vergleichsoperator
	bool operator==(const CComplex& obj) const;

private:
	double m_dReal;
	double m_dImg;
};
