// /////////////////////////////////////////////////////
// Effektiv C++
// Tip 11: Rckgabewert des Zuweisungsoperators
//
// Code: Stephan Brumme, 16.Mai 2002
//
// Zweck: - verschiedene Mglichkeiten des Rckgabewertes ausprobieren
//        - zu Beginn ist "const Referenz&" in CComplex aktiv


#include "Complex.h"
#include <iostream>
using namespace std;


void main()
{
	CComplex a,b;		// a = b = (0,0)
	CComplex c(3,7);	// c = (3,7)

	cout << "a: ";
	a.Show();
	cout << "   b: ";
	b.Show();
	cout << "   c: ";
	c.Show();
	cout << endl;

	// Zuweisungsoperator
	a = b = c;

	cout << "a: ";
	a.Show();
	cout << "   b: ";
	b.Show();
	cout << "   c: ";
	c.Show();
	cout << endl;
}