// /////////////////////////////////////////////////////
// Effektiv C++
//
// Komplexe Zahlen
// Version: 2
// Code: Stephan Brumme, 14.Mai 2002
//

#include "Complex.h"
#include <math.h>

#include <iostream>
using namespace std;


const double CComplex::DEFAULTVALUE = 0.0;


// Default-Konstruktor
CComplex::CComplex(double dReal, double dImg)
         : m_dReal(dReal), m_dImg(dImg)
{
	m_dModulus = sqrt(m_dReal*m_dReal + m_dImg*m_dImg);
}


// Vergleichsoperator
bool CComplex::operator==(const CComplex& obj) const
{
	return (m_dReal == obj.m_dReal) && (m_dImg == obj.m_dImg);
}
