// /////////////////////////////////////////////////////
// Effektiv C++
//
// Komplexe Zahlen
// Version: 2
// Code: Stephan Brumme, 14.Mai 2002
//

#include "Complex.h"
#include <math.h>

#include <iostream>
using namespace std;


const double CComplex::DEFAULTVALUE = 0.0;


// Default-Konstruktor
CComplex::CComplex(double dReal, double dImg)
         : m_dReal(dReal), m_dImg(dImg)
{
	m_nAccesses = 0;
}


// Vergleichsoperator
bool CComplex::operator==(const CComplex& obj) const
{
	return (m_dReal == obj.m_dReal) && (m_dImg == obj.m_dImg);
}


CComplex operator+(const CComplex& a, const CComplex& b)
{
	// Benutzung von private-Variablen !
	CComplex result(a.m_dReal + b.m_dReal, a.m_dImg + b.m_dImg);

	return result;
}