// /////////////////////////////////////////////////////
// Effektiv C++
// Tip 21: Verbot automatisch generierter Klassen
//
// Code: Stephan Brumme, 16.Mai 2002
//
// Zweck: - CSealed ist nicht kopierbar


// Objekte dieser Klasse knnen nicht kopiert werden
class CSealed
{
public:
	// Default-Konstruktor
	CSealed() {}

private:
	// Copy-Konstruktor verbieten
	CSealed(const CSealed& obj);
	// Zuweisungsoperator verbieten
	operator=(const CSealed& obj);
};


void main()
{
	CSealed a;

	// Fehler, Copy-Konstruktor verboten
	//CSealed b(a);

	CSealed c;
	// Fehler, Zuweisungsoperator verboten
	//c = a;

}