// /////////////////////////////////////////////////////
// Effektiv C++
//
// Komplexe Zahlen
// Version: 2
// Code: Stephan Brumme, 14.Mai 2002
//

#include "Complex.h"

#include <iostream>
using namespace std;


const double CComplex::DEFAULTVALUE = 0.0;


// Default-Konstruktor
CComplex::CComplex(double dReal, double dImg)
{
	// Attribute kopieren
	m_dReal = dReal;
	m_dImg  = dImg;

//	cerr << "Default-Konstruktor: (" << m_dReal << "," << m_dImg << ")" << endl;
}


// Copy-Konstruktor
CComplex::CComplex(const CComplex& obj)
{
	// Attribute kopieren
	m_dReal = obj.m_dReal;
	m_dImg  = obj.m_dImg;
	
//	cerr << "Copy-Konstruktor: (" << m_dReal << "," << m_dImg << ")" << endl;
}


// Destruktor
CComplex::~CComplex()
{
	// leer ...
//	cerr << "Destruktor: (" << m_dReal << "," << m_dImg << ")" << endl;
}


// Zuweisungs-Operator
CComplex& CComplex::operator=(const CComplex& obj)
{
	// Attribute kopieren
	m_dReal = obj.m_dReal;
	m_dImg  = obj.m_dImg;
	
//	cerr << "Zuweisungsoperator: (" << m_dReal << "," << m_dImg << ")" << endl;

	return *this;
}


// Vergleichsoperator
bool CComplex::operator==(const CComplex& obj) const
{
//	cerr << "Vergleichsoperator: (" << m_dReal << "," << m_dImg << ") und (" 
//		 << obj.m_dReal << "," << obj.m_dImg << ") " << endl;

	return (m_dReal == obj.m_dReal) && (m_dImg == obj.m_dImg);
}
