// /////////////////////////////////////////////////////
// Effektiv C++
//
// Komplexe Zahlen
// Version: 3
// Code: Stephan Brumme, 14.Mai 2002
//




class CComplex
{
	// Standardwert fr Konstruktor
	static const double DEFAULTVALUE;

public:
	// Default-Konstruktor:
	// kann auch ohne Parameter aufgerufen werden, da Default-Wert vorhanden
	CComplex(double dReal = DEFAULTVALUE, double dImg = DEFAULTVALUE);
	// Copy-Konstruktor
	CComplex(const CComplex& obj);

	// Destruktor
	~CComplex();

	// Zuweisungsoperator
	//CComplex& operator=(const CComplex& obj);

	// verschiedene Varianten des Zuweisungsoperators
	//void            operator=(const CComplex& obj);
	//CComplex        operator=(const CComplex& obj);
	const CComplex& operator=(const CComplex& obj);
	
	// Vergleichsoperator
	bool operator==(const CComplex& obj) const;

	// Attribute ausgeben
	void Show() const;

private:
	double m_dReal;
	double m_dImg;
};
