// /////////////////////////////////////////////////////
// Effektiv C++
// Tip 7: Reihenfolge der Initialisierung im Konstruktor
//
// Code: Stephan Brumme, 16.Mai 2002
//
// Zweck: - Abhngigkeiten innerhalb Initialisierungsliste
//        - jede nach Reihenfolge unterscheidet sich m_nAgeAsHuman


#include <iostream>
using namespace std;


class CDog
{
public:
	CDog(int nAgeAsDog) : m_nAgeAsDog(nAgeAsDog), 
		                  m_nAgeAsHuman(m_nAgeAsDog*7)
	{
		cout << "wahres Alter:      " << m_nAgeAsDog << endl
			 << "scheinbares Alter: " << m_nAgeAsHuman << endl;
	}

private:
	int m_nAgeAsHuman;
	int m_nAgeAsDog;
};



void main()
{
	// erwartetes Ergebnis: 4 Jahre alt, scheinbar aber 28 Jahre
	CDog bello(4);
}