// /////////////////////////////////////////////////////
// Effektiv C++
// Tip 8: Virtuelle Destruktoren
//
// Code: Stephan Brumme, 16.Mai 2002
//
// Zweck: - Anzeige, wann welcher Destruktor aufgerufen wird
//          (virtual in CBase auskommentieren)


// fr I/O
#include <iostream>
using namespace std;


// Basisklasse
class CBase
{
public:
	/*virtual*/ ~CBase() 
	{
		cout << "CBase" << endl;
	}
};


// abgeleitete Klasse
class CDerived : public CBase
{
public:
	~CDerived()
	{
		cout << "CDerived - ";
	}
};



void main()
{
	// ein Zeiger auf die Basisklasse, aber Objekt der abgeleiteten Klasse
	CBase    *pBase    = new CDerived;
	delete pBase;

	// ein Objekt der abgeleiteten Klasse
	CDerived *pDerived = new CDerived;
	delete pDerived;

}